Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 784065 - dev-java/werken-xpath Pending removal
Summary: dev-java/werken-xpath Pending removal
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2021-06-18
Assignee: Java team
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: jdk11 EAPI5Removal
  Show dependency tree
 
Reported: 2021-04-19 09:27 UTC by Volkmar W. Pogatzki
Modified: 2021-08-09 05:31 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volkmar W. Pogatzki 2021-04-19 09:27:58 UTC
Please vbump dev-java/velocity, then last-rite dev-java/xpath
Comment 1 Andreas Sturmlechner gentoo-dev 2021-04-21 19:14:01 UTC
If this is the way to go then please rather stop arch teams do unnecessary work in bug 783690. We don't two EAPIRemoval blockers for the same package.
Comment 2 Miroslav Šulc gentoo-dev 2021-04-21 19:54:00 UTC
i'm aware of this and was not sure whether close the stabilization or not. currently dev-java/velocity-1.7 depends on it. the old version of werken-xpath should be gone and the new stabilized. we have new version of velocity on the way, but idk when i'll have time to finish the ebuild as there are currently some issues with it. so i did not want this package to block the eapi removal...
Comment 3 Andreas Sturmlechner gentoo-dev 2021-04-21 20:33:56 UTC
Well, there are ~2000 ebuilds to go, you will likely be done before the tracker is at 0 ;)

Considering a new velocity bump needs 4 weeks in stable anyway, provided you want to keep it in stable at all, then the stabilisation still makes sense.
Comment 4 Larry the Git Cow gentoo-dev 2021-05-19 06:40:36 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1877cd76b6cb3bec6a565699fe87d5d25d6b460

commit b1877cd76b6cb3bec6a565699fe87d5d25d6b460
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2021-05-19 06:40:22 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2021-05-19 06:40:22 +0000

    profiles/package.mask: dev-java/werken-xpath last-rite
    
    Bug: https://bugs.gentoo.org/784065
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 profiles/package.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 5 Larry the Git Cow gentoo-dev 2021-08-09 05:31:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ff6bf6626b0f4d096a4299afc1695bf8755b22f

commit 1ff6bf6626b0f4d096a4299afc1695bf8755b22f
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2021-08-08 10:19:25 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2021-08-09 05:31:09 +0000

    dev-java/werken-xpath: remove last rited package
    
    Closes: https://bugs.gentoo.org/784065
    
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-java/werken-xpath/Manifest                     |  1 -
 .../files/werken-xpath-0.9.4_beta-gentoo.patch     | 35 ---------
 .../files/werken-xpath-0.9.4_beta-jdom-1.0.patch   | 86 ----------------------
 .../werken-xpath-0.9.4_beta-jpp-compile.patch      | 24 ------
 .../files/werken-xpath-0.9.4_beta-jpp-jdom.patch   | 86 ----------------------
 .../files/werken-xpath-0.9.4_beta-jpp-tests.patch  | 10 ---
 dev-java/werken-xpath/metadata.xml                 | 11 ---
 .../werken-xpath/werken-xpath-0.9.4_beta-r5.ebuild | 59 ---------------
 8 files changed, 312 deletions(-)